[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Pkg-grass-general] state of DebianGIS



On Mon, 2005-04-25 at 16:04 +0200, Paolo Cavallini wrote:
> Hi all.
> Especially for newcomers, I believe it is useful to have an outline of the 
> current status of the project; I list the most relevant issues, ass I see 
> them, in order of priority of action, from high to low.
> 
> * libgdal1-grass: does not work;  when it will, it should be included in 
> Debian testing
> * qgis: no package in testing (0.6.0-2 in unstable, waiting for glibc); 
> 0.6.0-1 crashes when loading shapefiles (if using gdal-bin 1.2.6, not with 
> 1.2.5)
> * qgis-plugin-grass: not in testing [1] (what prevents it from this?); 
> wouldn't it be better to include it in qgis package? (other distros do so 
> AFAIK)

qgis-plugin-grass depends on libgdal1-grass, which has not yet been
uploaded to the main archive. It is a separate package so that you can
install the base qgis without being required to install grass.

Steve

> * mapserver: lack of php support [2]
> * grass: package in good shape; a few bugfixes upstream might suggest 
> upgrading the package at some later stage
> * libpostgis1-pg74: package apparently in good shape; looking forward to have 
> it in testing (what prevents it from this?)
> * gdal-bin and libgdal1: apparently all well here.
> 
> If you wish to use grass from within qgis (way cool!), you should *not* 
> upgrade from gdal-bin 1.2.5 to 1.2.6, and download libgdal1-grass and 
> qgis-plugin-grass from debianGIS.
> All the best.
> pc




Reply to: